<?php
/** @noinspection PhpMultipleClassDeclarationsInspection */
declare(strict_types=1);

namespace Catequil\ORM\Attribute;

use Attribute as PhpAttribute;

/**
 * Class InputFilter
 *
 * @package Catequil\ORM\Attribute
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-orm
 */
#[PhpAttribute(PhpAttribute::TARGET_CLASS)]
final class HasInputFilter
{
    public string $inputFilter;

    /**
     * @param string $inputFilter
     */
    public function __construct(string $inputFilter)
    {
        $this->inputFilter = $inputFilter;
    }
}
